FormattableUtils
Date: 2017-02-08

org.apache.commons.lang3.text

## Class FormattableUtils

- java.lang.Object
- - org.apache.commons.lang3.text.FormattableUtils

-     public class FormattableUtils
      extends java.lang.Object

  Provides utilities for working with the `Formattable` interface.

  The `Formattable` interface provides basic control over formatting when using a `Formatter`. It is primarily concerned with numeric precision and padding, and is not designed to allow generalised alternate formats.

  Since:
    Lang 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormattableUtils()` `FormattableUtils` instances should NOT be constructed in standard programming.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Formatter` | `append(java.lang.CharSequence seq, java.util.Formatter formatter, int flags, int width, int precision)` Handles the common `Formattable` operations of truncate-pad-append, with no ellipsis on precision overflow, and padding width underflow with spaces.
    `static java.util.Formatter` | `append(java.lang.CharSequence seq, java.util.Formatter formatter, int flags, int width, int precision, char padChar)` Handles the common `Formattable` operations of truncate-pad-append, with no ellipsis on precision overflow.
    `static java.util.Formatter` | `append(java.lang.CharSequence seq, java.util.Formatter formatter, int flags, int width, int precision, char padChar, java.lang.CharSequence ellipsis)` Handles the common `Formattable` operations of truncate-pad-append.
    `static java.util.Formatter` | `append(java.lang.CharSequence seq, java.util.Formatter formatter, int flags, int width, int precision, java.lang.CharSequence ellipsis)` Handles the common `Formattable` operations of truncate-pad-append, padding width underflow with spaces.
    `static java.lang.String` | `toString(java.util.Formattable formattable)` Get the default formatted representation of the specified `Formattable`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormattableUtils

          public FormattableUtils()

      `FormattableUtils` instances should NOT be constructed in standard programming. Instead, the methods of the class should be invoked statically.

      This constructor is public to permit tools that require a JavaBean instance to operate.

  - ### Method Detail

    - #### toString

          public static java.lang.String toString(java.util.Formattable formattable)

      Get the default formatted representation of the specified `Formattable`.
      Parameters:
        `formattable` - the instance to convert to a string, not null
      Returns:
        the resulting string, not null

    - #### append

          public static java.util.Formatter append(java.lang.CharSequence seq,
                                   java.util.Formatter formatter,
                                   int flags,
                                   int width,
                                   int precision)

      Handles the common `Formattable` operations of truncate-pad-append, with no ellipsis on precision overflow, and padding width underflow with spaces.
      Parameters:
        `seq` - the string to handle, not null
        `formatter` - the destination formatter, not null
        `flags` - the flags for formatting, see `Formattable`
        `width` - the width of the output, see `Formattable`
        `precision` - the precision of the output, see `Formattable`
      Returns:
        the `formatter` instance, not null

    - #### append

          public static java.util.Formatter append(java.lang.CharSequence seq,
                                   java.util.Formatter formatter,
                                   int flags,
                                   int width,
                                   int precision,
                                   char padChar)

      Handles the common `Formattable` operations of truncate-pad-append, with no ellipsis on precision overflow.
      Parameters:
        `seq` - the string to handle, not null
        `formatter` - the destination formatter, not null
        `flags` - the flags for formatting, see `Formattable`
        `width` - the width of the output, see `Formattable`
        `precision` - the precision of the output, see `Formattable`
        `padChar` - the pad character to use
      Returns:
        the `formatter` instance, not null

    - #### append

          public static java.util.Formatter append(java.lang.CharSequence seq,
                                   java.util.Formatter formatter,
                                   int flags,
                                   int width,
                                   int precision,
                                   java.lang.CharSequence ellipsis)

      Handles the common `Formattable` operations of truncate-pad-append, padding width underflow with spaces.
      Parameters:
        `seq` - the string to handle, not null
        `formatter` - the destination formatter, not null
        `flags` - the flags for formatting, see `Formattable`
        `width` - the width of the output, see `Formattable`
        `precision` - the precision of the output, see `Formattable`
        `ellipsis` - the ellipsis to use when precision dictates truncation, null or empty causes a hard truncation
      Returns:
        the `formatter` instance, not null

    - #### append

          public static java.util.Formatter append(java.lang.CharSequence seq,
                                   java.util.Formatter formatter,
                                   int flags,
                                   int width,
                                   int precision,
                                   char padChar,
                                   java.lang.CharSequence ellipsis)

      Handles the common `Formattable` operations of truncate-pad-append.
      Parameters:
        `seq` - the string to handle, not null
        `formatter` - the destination formatter, not null
        `flags` - the flags for formatting, see `Formattable`
        `width` - the width of the output, see `Formattable`
        `precision` - the precision of the output, see `Formattable`
        `padChar` - the pad character to use
        `ellipsis` - the ellipsis to use when precision dictates truncation, null or empty causes a hard truncation
      Returns:
        the `formatter` instance, not null